Bug 4200 - Include paper ID on export
Include paper ID on export
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.3
PC Mac OS X 10.3
: P5 normal
Assigned To: Ryan Yeske
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 16:15 PDT by James MacGregor
Modified: 2009-10-14 13:48 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
include id in paper export (1.54 KB, patch)
2009-10-07 22:56 PDT, Ryan Yeske
Details | Diff
updated patch, with dtd change (2.50 KB, patch)
2009-10-08 13:54 PDT, Ryan Yeske
Details | Diff
Add issue and article id's when exporting (2.59 KB, patch)
2009-10-09 13:58 PDT, Ryan Yeske
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2009-04-14 16:15:53 PDT
The Article & Issues export plugin should include paper IDs on export. The plugin should also *not* allow/include paper IDs on import (perhaps just ignoring IDs, if they exist). 

The DTD should also include documentation on the use of paper IDs, ie. that they are exported, but won't be used if in an import file. 

(Courtesy of http://pkp.sfu.ca/support/forum/viewtopic.php?f=13&t=3461&p=17034#p17034)
Comment 1 Ryan Yeske 2009-10-01 17:53:40 PDT
I have paper id's exporting as per François' suggestion on the forum.  With no changes to the native.dtd, importing still works as before, simply ignoring the <id></id> sections.  (Note, I used 'id' as the element name, instead of 'paper_id').

James, it's not clear to me what you mean by including documentation in the dtd file about exporting but not importing the id's.  Do you simply mean that it should be commented in the file, or is there a way to specify that the id will exist on export, but will be ignored on import?
Comment 2 James MacGregor 2009-10-01 18:08:38 PDT
(In reply to comment #1)
> I have paper id's exporting as per François' suggestion on the forum.  With no
> changes to the native.dtd, importing still works as before, simply ignoring the
> <id></id> sections.  (Note, I used 'id' as the element name, instead of
> 'paper_id').
> 
> James, it's not clear to me what you mean by including documentation in the dtd
> file about exporting but not importing the id's.  Do you simply mean that it
> should be commented in the file, or is there a way to specify that the id will
> exist on export, but will be ignored on import?

Hi Ryan, it's the former -- that a comment should be inserted into the DTD.
Comment 3 Ryan Yeske 2009-10-07 22:56:00 PDT
Created attachment 2511 [details]
include id in paper export

This adds an <id> to the paper export.
Comment 4 Alec Smecher 2009-10-08 08:39:21 PDT
Ryan, this will generate XML that doesn't validate against the DTD.
Comment 5 Ryan Yeske 2009-10-08 13:54:49 PDT
Created attachment 2515 [details]
updated patch, with dtd change

Alec,

This patch includes a definiton of the id element, and validates exported documents now.
Comment 6 Alec Smecher 2009-10-09 08:24:57 PDT
Looks great, Ryan -- could you post unified diffs (-u) in the future? In any case, please go ahead and commit to OCS and port to OJS as well.
Comment 7 Ryan Yeske 2009-10-09 13:58:41 PDT
Created attachment 2520 [details]
Add issue and article id's when exporting
Comment 8 Alec Smecher 2009-10-14 13:38:43 PDT
OK, commit away and close this issue. Let me know if you have any access problems to do that.
Comment 9 Ryan Yeske 2009-10-14 13:48:51 PDT
Committed